### org.jfree.layouting.input.style.selectors

# Class CSSNegativeSelector

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.AbstractSelector`
  - - `org.jfree.layouting.input.style.selectors.CSSNegativeSelector`

Implemented Interfaces:
  NegativeSelector, CSSSelector, Selector, Serializable

`public class CSSNegativeSelector`
`extends AbstractSelector`
`implements NegativeSelector`

Creation-Date: 30.11.2005, 16:09:21

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSNegativeSelector(SimpleSelector selector)`

  ## Method Summary

  `protected SelectorWeight`

  `createWeight()`

  `short`

  `getSelectorType()`
    An integer indicating the type of `Selector`

  `SimpleSelector`

  `getSimpleSelector()`
    Returns the simple selector.

  ### Methods inherited from class org.jfree.layouting.input.style.selectors.AbstractSelector

  `createWeight`, `getWeight`

## Constructor Details

### CSSNegativeSelector

    public CSSNegativeSelector(SimpleSelector selector)

## Method Details

### createWeight

    protected SelectorWeight createWeight()

> Overrides:
>   createWeight in interface AbstractSelector

### getSelectorType

    public short getSelectorType()

> An integer indicating the type of `Selector`

### getSimpleSelector

    public SimpleSelector getSimpleSelector()

> Returns the simple selector.